import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";

import { ListComponent } from "./list/list.component";
import { EmptyRouteComponent } from "./empty-route/empty-route.component";
import { MonitoringStationListComponent } from "./monitoring-station-list/monitoring-station-list.component";
import { AddUpdateMonitoringStationComponent } from "./add-update-monitoring-station/add-update-monitoring-station.component";

const routes: Routes = [
  { path: "custom-management/clients", component: ListComponent },
  { path: "custom-management/monitoring-station/:customer-id", component: MonitoringStationListComponent },
  { path: "custom-management/monitoring-station/:customer-id/add-update", component: AddUpdateMonitoringStationComponent },
  { path: "custom-management/monitoring-station/:customer-id/add-update/:stationId", component: AddUpdateMonitoringStationComponent },
  { path: "**", component: EmptyRouteComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule { }
