import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Station } from '../model/station';
import { MonitoringStationServiceService } from '../monitoring-station-service/monitoring-station-service.service';

@Component({
  selector: 'app-monitoring-station-list',
  templateUrl: './monitoring-station-list.component.html',
  styleUrls: ['./monitoring-station-list.component.scss']
})
export class MonitoringStationListComponent implements OnInit {
  customerId: String;
 
  stationList: Station[] = [];
  isDisplay: string = "";
  constructor(private activeRoute: ActivatedRoute,private router: Router, 
    private monitoringStationService: MonitoringStationServiceService) {

  }
  async ngOnInit() {
    console.log("Monitoring station list");
    this.customerId = this.activeRoute.snapshot.paramMap.get('customer-id');
    if (this.customerId != null) {
      await this.monitoringStationService.getItems(this.customerId).then(list =>{
        this.stationList = list;
      })
    }
  }

  addStation(){
    this.router.navigateByUrl("custom-management/monitoring-station/"+this.customerId+"/add-update");
  }



  equipmentStationList(stationId: String){}

  updateStation(stationId: String){
    this.router.navigateByUrl("custom-management/monitoring-station/"+this.customerId+"/add-update/"+stationId);
  }

  saveChanges(){}
  search(){}
}
